/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectcalc.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.List;

/**
 * 工程计算量底稿-装饰Entity
 * @author 马鹏波
 * @version 2018-06-06
 */
public class WorkProjectCalcDecor extends DataEntity<WorkProjectCalcDecor> {
	
	private static final long serialVersionUID = 1L;
	private String decorNumber;		// 序号
	private String decorCode;		// 清单编码/定额编码
	private String projectName;		// 项目名称
	private String decorUnit;		// 计量单位
	private String decorMode;		// 计算式
	private String decorSize;		// 工程量
	private String decorOther;		// 其他
	private String decorOrigin;		// 工程量来源
	private String projectId;		// 项目编号
	private List<WorkProjectCalcBuild> workProjectCalcBuildList = Lists.newArrayList();
	private List<WorkProjectCalcDecor> workProjectCalcDecorList = Lists.newArrayList();
	
	public WorkProjectCalcDecor() {
		super();
	}

	public WorkProjectCalcDecor(String id){
		super(id);
	}

	@ExcelField(title="序号", align=2, sort=7)
	public String getDecorNumber() {
		return decorNumber;
	}

	public void setDecorNumber(String decorNumber) {
		this.decorNumber = decorNumber;
	}
	
	@ExcelField(title="清单编码/定额编码", align=2, sort=8)
	public String getDecorCode() {
		return decorCode;
	}

	public void setDecorCode(String decorCode) {
		this.decorCode = decorCode;
	}
	
	@ExcelField(title="项目名称", align=2, sort=9)
	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	
	@ExcelField(title="计量单位", align=2, sort=10)
	public String getDecorUnit() {
		return decorUnit;
	}

	public void setDecorUnit(String decorUnit) {
		this.decorUnit = decorUnit;
	}
	
	@ExcelField(title="计算式", align=2, sort=11)
	public String getDecorMode() {
		return decorMode;
	}

	public void setDecorMode(String decorMode) {
		this.decorMode = decorMode;
	}
	
	@ExcelField(title="工程量", align=2, sort=12)
	public String getDecorSize() {
		return decorSize;
	}

	public void setDecorSize(String decorSize) {
		this.decorSize = decorSize;
	}
	
	@ExcelField(title="其他", align=2, sort=13)
	public String getDecorOther() {
		return decorOther;
	}

	public void setDecorOther(String decorOther) {
		this.decorOther = decorOther;
	}
	
	@ExcelField(title="工程量来源", align=2, sort=14)
	public String getDecorOrigin() {
		return decorOrigin;
	}

	public void setDecorOrigin(String decorOrigin) {
		this.decorOrigin = decorOrigin;
	}
	
	@ExcelField(title="项目编号", align=2, sort=15)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public List<WorkProjectCalcBuild> getWorkProjectCalcBuildList() {
		return workProjectCalcBuildList;
	}

	public void setWorkProjectCalcBuildList(List<WorkProjectCalcBuild> workProjectCalcBuildList) {
		this.workProjectCalcBuildList = workProjectCalcBuildList;
	}

	public List<WorkProjectCalcDecor> getWorkProjectCalcDecorList() {
		return workProjectCalcDecorList;
	}

	public void setWorkProjectCalcDecorList(List<WorkProjectCalcDecor> workProjectCalcDecorList) {
		this.workProjectCalcDecorList = workProjectCalcDecorList;
	}
}